#!/bin/ksh ~/.mgltools/pythonsh
########################################################################
#
#    Vision Network - Python source code - file generated by vision
#    Thursday 04 February 2010 12:36:16 
#    
#       The Scripps Research Institute (TSRI)
#       Molecular Graphics Lab
#       La Jolla, CA 92037, USA
#
# Copyright: Daniel Stoffler, Michel Sanner and TSRI
#   
# revision: Guillaume Vareille
#  
#########################################################################
#
# $Header:$
#
# $Id:$
#


if __name__=='__main__':
    from sys import argv
    if '--help' in argv or '-h' in argv or '-w' in argv: # run without Vision
        withoutVision = True
        from Vision.VPE import NoGuiExec
        ed = NoGuiExec()
        from NetworkEditor.net import Network
        import os
        masterNet = Network("process-"+str(os.getpid()))
        ed.addNetwork(masterNet)
    else: # run as a stand alone application while vision is hidden
        withoutVision = False
        from Vision import launchVisionToRunNetworkAsApplication, mainLoopVisionToRunNetworkAsApplication
	if '-noSplash' in argv:
	    splash = False
	else:
	    splash = True
        masterNet = launchVisionToRunNetworkAsApplication(splash=splash)
        import os
        masterNet.filename = os.path.abspath(__file__)
from traceback import print_exc
## loading libraries ##
from AutoDockTools.VisionInterface.Adt import Adt
from WebServices.VisionInterface.WSNodes import wslib
from Vision.StandardNodes import stdlib
try:
    masterNet
except (NameError, AttributeError): # we run the network outside Vision
    from NetworkEditor.net import Network
    masterNet = Network()

masterNet.getEditor().addLibraryInstance(Adt,"AutoDockTools.VisionInterface.Adt", "Adt")

masterNet.getEditor().addLibraryInstance(wslib,"WebServices.VisionInterface.WSNodes", "wslib")

masterNet.getEditor().addLibraryInstance(stdlib,"Vision.StandardNodes", "stdlib")

from WebServices.VisionInterface.WSNodes import addOpalServerAsCategory
try:
    addOpalServerAsCategory("http://ws.nbcr.net/opal2", replace=False)
except:
    pass
try:
    addOpalServerAsCategory("http://kryptonite.ucsd.edu/opal2", replace=False)
except:
    pass
try:
    ## saving node PrepareReceptor ##
    from Adt.Macro.PrepareReceptor import PrepareReceptor
    PrepareReceptor_0 = PrepareReceptor(constrkw={}, name='PrepareReceptor', library=Adt)
    masterNet.addNode(PrepareReceptor_0,45,117)
    apply(PrepareReceptor_0.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
    GetFilenames_3 = PrepareReceptor_0.macroNetwork.nodes[2]
    FilenameOps_6 = GetFilenames_3.macroNetwork.nodes[2]
    FilenameOps_6.inputPortByName['extList'].widget.set(r"pdbqt pqr", run=False)
    FilenameOps_6.inputPortByName['withPath'].widget.set(1, run=False)
    FilenameOps_7 = GetFilenames_3.macroNetwork.nodes[3]
    FilenameOps_7.inputPortByName['extList'].widget.set(r"pdbqt pqr", run=False)
    FilenameOps_7.inputPortByName['withPath'].widget.set(0, run=False)

    ## saving connections for network GetFilenames ##
    GetFilenames_3.macroNetwork.freeze()
    GetFilenames_3.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_4 = GetFilenames_3.macroNetwork.ipNode
    input_Ports_4.outputPorts[1].configure(name='FilenameOps_filename')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_5 = GetFilenames_3.macroNetwork.opNode
    output_Ports_5.inputPorts[1].configure(singleConnection='auto')
    output_Ports_5.inputPorts[2].configure(singleConnection='auto')
    output_Ports_5.inputPorts[3].configure(singleConnection='auto')
    output_Ports_5.inputPorts[4].configure(singleConnection='auto')
    output_Ports_5.inputPorts[1].configure(name='Split_0')
    output_Ports_5.inputPorts[2].configure(name='Split_1')
    output_Ports_5.inputPorts[3].configure(name='Split_0_3')
    output_Ports_5.inputPorts[4].configure(name='Split_1_4')
    GetFilenames_3.inputPorts[0].configure(name='pdb_filename')
    GetFilenames_3.inputPorts[0].configure(datatype='string')
    ## configure MacroNode input ports
    GetFilenames_3.outputPorts[0].configure(name='pdbqt_path')
    GetFilenames_3.outputPorts[0].configure(datatype='string')
    GetFilenames_3.outputPorts[1].configure(name='pqr_path')
    GetFilenames_3.outputPorts[1].configure(datatype='string')
    GetFilenames_3.outputPorts[2].configure(name='pdbqt_name')
    GetFilenames_3.outputPorts[2].configure(datatype='string')
    GetFilenames_3.outputPorts[3].configure(name='pqr_name')
    GetFilenames_3.outputPorts[3].configure(datatype='string')
    ## configure MacroNode output ports
    GetFilenames_3.shrink()
    PrepareReceptorWS_10 = PrepareReceptor_0.macroNetwork.nodes[3]
    PrepareReceptorOpalService_ws_nbcr_net_13 = PrepareReceptorWS_10.macroNetwork.nodes[2]
    PrepareReceptorOpalService_ws_nbcr_net_13.inputPortByName['C'].widget.set(1, run=False)
    PrepareReceptorOpalService_ws_nbcr_net_13.inputPortByName['o'].widget.set(r"", run=False)
    PrepareReceptorOpalService_ws_nbcr_net_13.inputPortByName['v'].widget.set(0, run=False)
    PrepareReceptorOpalService_ws_nbcr_net_13.inputPortByName['localRun'].widget.set(0, run=False)
    PrepareReceptorOpalService_ws_nbcr_net_13.inputPortByName['execPath'].widget.set(r"", run=False)
    Index_14 = PrepareReceptorWS_10.macroNetwork.nodes[3]
    apply(Index_14.inputPortByName['index'].widget.configure, (), {'max': 3, 'min': -4})
    Index_14.inputPortByName['index'].widget.set(0, run=False)
    if_else_no_data_16 = PrepareReceptorWS_10.macroNetwork.nodes[5]
    if_else_no_data_16.inputPortByName['condition'].widget.set(r"if_ != 'no data yet'", run=False)
    if_else_no_data_17 = PrepareReceptorWS_10.macroNetwork.nodes[6]
    if_else_no_data_17.inputPortByName['condition'].widget.set(r"if_ != 'no data yet'", run=False)
    eval_18 = PrepareReceptorWS_10.macroNetwork.nodes[7]
    eval_18.inputPortByName['command'].widget.set(r"''", run=False)
    eval_18.inputPortByName['importString'].widget.set(r"", run=False)
    apply(eval_18.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
    eval_19 = PrepareReceptorWS_10.macroNetwork.nodes[8]
    eval_19.inputPortByName['command'].widget.set(r"''", run=False)
    eval_19.inputPortByName['importString'].widget.set(r"", run=False)
    apply(eval_19.configure, (), {'paramPanelImmediate': 1, 'expanded': False})

    ## saving connections for network PrepareReceptorWS ##
    PrepareReceptorWS_10.macroNetwork.freeze()
    PrepareReceptorWS_10.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_11 = PrepareReceptorWS_10.macroNetwork.ipNode
    input_Ports_11.outputPorts[1].configure(name='if_else_no_data_if_')
    input_Ports_11.outputPorts[2].configure(name='if_else_no_data_if__2')
    input_Ports_11.outputPorts[3].configure(name='ReplaceURL_newfilename')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_12 = PrepareReceptorWS_10.macroNetwork.opNode
    output_Ports_12.inputPorts[1].configure(singleConnection='auto')
    output_Ports_12.inputPorts[1].configure(name='ReplaceURL_newurl')
    PrepareReceptorWS_10.inputPorts[0].configure(name='pqr_url')
    PrepareReceptorWS_10.inputPorts[0].configure(datatype='string')
    PrepareReceptorWS_10.inputPorts[1].configure(name='pqr_local_path')
    PrepareReceptorWS_10.inputPorts[1].configure(datatype='string')
    PrepareReceptorWS_10.inputPorts[2].configure(name='pqdb_filename')
    PrepareReceptorWS_10.inputPorts[2].configure(datatype='string')
    ## configure MacroNode input ports
    PrepareReceptorWS_10.outputPorts[0].configure(name='pdbqt_url')
    PrepareReceptorWS_10.outputPorts[0].configure(datatype='string')
    ## configure MacroNode output ports
    PrepareReceptorWS_10.shrink()
    Pdb2pqrWS_20 = PrepareReceptor_0.macroNetwork.nodes[4]
    Pdb2pqrOpalService_ws_nbcr_net_23 = Pdb2pqrWS_20.macroNetwork.nodes[2]
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['noopt'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['phi'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['psi'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['verbose'].widget.set(1, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['chain'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['nodebump'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['chi'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['ligand'].widget.set(r"", run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['hbond'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['with_ph'].widget.set(r"", run=False)
    apply(Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['forcefield'].widget.configure, (), {'choices': ('AMBER', 'CHARMM', 'PARSE', 'TYL06')})
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['forcefield'].widget.set(r"AMBER", run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['clean'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['inId'].widget.set(r"", run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['apbs_input'].widget.set(0, run=False)
    apply(Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['ffout'].widget.configure, (), {'choices': ('AMBER', 'CHARMM', 'PARSE', 'TYL06')})
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['ffout'].widget.set(r"", run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['localRun'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['rama'].widget.set(0, run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['execPath'].widget.set(r"", run=False)
    Pdb2pqrOpalService_ws_nbcr_net_23.inputPortByName['assign_only'].widget.set(0, run=False)
    Index_24 = Pdb2pqrWS_20.macroNetwork.nodes[3]
    apply(Index_24.inputPortByName['index'].widget.configure, (), {'max': 4, 'min': -5})
    Index_24.inputPortByName['index'].widget.set(0, run=False)

    ## saving connections for network Pdb2pqrWS ##
    Pdb2pqrWS_20.macroNetwork.freeze()
    Pdb2pqrWS_20.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_21 = Pdb2pqrWS_20.macroNetwork.ipNode
    input_Ports_21.outputPorts[1].configure(name='Pdb2pqrOpalService_ws_nbcr_net_output_file')
    input_Ports_21.outputPorts[2].configure(name='Pdb2pqrOpalService_ws_nbcr_net_inFile')
    input_Ports_21.outputPorts[3].configure(name='Pass_in1')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_22 = Pdb2pqrWS_20.macroNetwork.opNode
    output_Ports_22.inputPorts[1].configure(singleConnection='auto')
    output_Ports_22.inputPorts[1].configure(name='ReplaceURL_newurl')
    Pdb2pqrWS_20.inputPorts[0].configure(name='pqr_output_name')
    Pdb2pqrWS_20.inputPorts[0].configure(datatype='string')
    Pdb2pqrWS_20.inputPorts[1].configure(name='pdb_input_file')
    Pdb2pqrWS_20.inputPorts[1].configure(datatype='string')
    Pdb2pqrWS_20.inputPorts[2].configure(name='Pass_in1')
    Pdb2pqrWS_20.inputPorts[2].configure(datatype='string')
    ## configure MacroNode input ports
    Pdb2pqrWS_20.outputPorts[0].configure(name='pqr_url')
    Pdb2pqrWS_20.outputPorts[0].configure(datatype='string')
    ## configure MacroNode output ports
    Pdb2pqrWS_20.shrink()
    if_pqr_exists_27 = PrepareReceptor_0.macroNetwork.nodes[5]
    apply(if_pqr_exists_27.inputPortByName['value'].configure, (), {'datatype': 'string', 'defaultValue': None, 'originalDatatype': 'None'})
    if_pqr_exists_27.inputPortByName['condition'].widget.set(r"os.path.exists(value)", run=False)
    if_pdbqt_exists_28 = PrepareReceptor_0.macroNetwork.nodes[6]
    apply(if_pdbqt_exists_28.inputPortByName['value'].configure, (), {'datatype': 'string', 'defaultValue': None, 'originalDatatype': 'None'})
    if_pdbqt_exists_28.inputPortByName['condition'].widget.set(r"os.path.exists(value)", run=False)
    Index_29 = PrepareReceptor_0.macroNetwork.nodes[7]
    apply(Index_29.inputPortByName['data'].configure, (), {'datatype': 'string', 'defaultValue': None, 'singleConnection': False, 'originalDatatype': 'None'})
    apply(Index_29.inputPortByName['index'].widget.configure, (), {'max': 0, 'min': -1})
    Index_29.inputPortByName['index'].widget.set(0, run=False)

    ## saving connections for network PrepareReceptor ##
    PrepareReceptor_0.macroNetwork.freeze()
    PrepareReceptor_0.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_1 = PrepareReceptor_0.macroNetwork.ipNode
    input_Ports_1.outputPorts[1].configure(name='GetFilenames_pdb_filename')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_2 = PrepareReceptor_0.macroNetwork.opNode
    output_Ports_2.inputPorts[1].configure(singleConnection='auto')
    output_Ports_2.inputPorts[1].configure(name='Index_data')
    PrepareReceptor_0.inputPorts[0].configure(name='pdb_file')
    PrepareReceptor_0.inputPorts[0].configure(datatype='string')
    ## configure MacroNode input ports
    PrepareReceptor_0.outputPorts[0].configure(name='pdbqt_file')
    PrepareReceptor_0.outputPorts[0].configure(datatype='string')
    ## configure MacroNode output ports
    PrepareReceptor_0.shrink()
    apply(PrepareReceptor_0.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
except:
    print "WARNING: failed to restore PrepareReceptor named PrepareReceptor in network masterNet"
    print_exc()
    PrepareReceptor_0=None

try:
    ## saving node PDB_Input ##
    from Vision.StandardNodes import FileBrowserNE
    PDB_Input_30 = FileBrowserNE(constrkw={}, name='PDB_Input', library=stdlib)
    masterNet.addNode(PDB_Input_30,45,18)
    PDB_Input_30.inputPortByName['filename'].widget.set(r"2HTY_A-2HTY_A.pdb", run=False)
    code = """def doit(self, filename):
    if filename:
        self.outputData(filename=os.path.abspath(filename))

"""
    PDB_Input_30.configure(function=code)
    apply(PDB_Input_30.configure, (), {'paramPanelImmediate': 1})
except:
    print "WARNING: failed to restore FileBrowserNE named PDB_Input in network masterNet"
    print_exc()
    PDB_Input_30=None

try:
    ## saving node VinaWS ##
    from NetworkEditor.macros import MacroNode
    VinaWS_31 = MacroNode(name='VinaWS')
    masterNet.addNode(VinaWS_31, 252, 242)
    from NetworkEditor.items import FunctionNode
    AutodockVina_Screening_kryptonite_nbcr_net_34 = FunctionNode(functionOrString='AutodockVina_Screening_kryptonite_nbcr_net', host="http://kryptonite.ucsd.edu/opal2", namedArgs={'num_modes': '', 'flex': '', 'log': '', 'energy_range': '', 'localRun': False, 'size_x': '', 'center_z': '', 'center_x': '', 'center_y': '', 'receptor': '', 'size_y': '', 'size_z': '', 'exhaustiveness': '', 'seed': '', 'ligand_db': '', 'config': '', 'cpu': '', 'execPath': '', 'out': ''}, constrkw={'functionOrString': "'AutodockVina_Screening_kryptonite_nbcr_net'", 'host': '"http://kryptonite.ucsd.edu/opal2"', 'namedArgs': {'num_modes': '', 'flex': '', 'log': '', 'energy_range': '', 'localRun': False, 'size_x': '', 'center_z': '', 'center_x': '', 'center_y': '', 'receptor': '', 'size_y': '', 'size_z': '', 'exhaustiveness': '', 'seed': '', 'ligand_db': '', 'config': '', 'cpu': '', 'execPath': '', 'out': ''}}, name='AutodockVina_Screening_kryptonite_nbcr_net', library=wslib)
    VinaWS_31.macroNetwork.addNode(AutodockVina_Screening_kryptonite_nbcr_net_34,220,90)
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['receptor'].configure, (), {'defaultValue': None})
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['ligand_db'].configure, (), {'defaultValue': None})
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['config'].configure, (), {'defaultValue': None})
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['num_modes'].widget.configure, (), {'choices': ('1', '2', '3', '4', '5', '6', '7', '8', '9', '10')})
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['num_modes'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['flex'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['log'].widget.set(r"", run=False)
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['energy_range'].widget.configure, (), {'choices': ('1', '2', '3')})
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['energy_range'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['localRun'].widget.set(0, run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['size_x'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['center_z'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['center_x'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['center_y'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['receptor'].rebindWidget()
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['receptor'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['receptor'].unbindWidget()
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['size_y'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['size_z'].widget.set(r"", run=False)
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['exhaustiveness'].widget.configure, (), {'choices': ('1', '2', '3', '4', '5', '6', '7', '8')})
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['exhaustiveness'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['seed'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['ligand_db'].rebindWidget()
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['ligand_db'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['ligand_db'].unbindWidget()
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['config'].rebindWidget()
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['config'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['config'].unbindWidget()
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['cpu'].widget.configure, (), {'choices': ('1', '2')})
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['cpu'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['execPath'].widget.set(r"", run=False)
    AutodockVina_Screening_kryptonite_nbcr_net_34.inputPortByName['out'].widget.set(r"", run=False)
    apply(AutodockVina_Screening_kryptonite_nbcr_net_34.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
    from Vision.StandardNodes import Index
    Index_35 = Index(constrkw={}, name='Index', library=stdlib)
    VinaWS_31.macroNetwork.addNode(Index_35,214,151)
    apply(Index_35.inputPortByName['index'].widget.configure, (), {'max': 14, 'min': -15})
    Index_35.inputPortByName['index'].widget.set(0, run=False)
    apply(Index_35.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
    from WebServices.VisionInterface.WSNodes import GetMainURLNode
    GetMainURL_36 = GetMainURLNode(constrkw={}, name='GetMainURL', library=wslib)
    VinaWS_31.macroNetwork.addNode(GetMainURL_36,201,220)
    apply(GetMainURL_36.inputPortByName['url'].configure, (), {'defaultValue': None})
    GetMainURL_36.inputPortByName['url'].rebindWidget()
    GetMainURL_36.inputPortByName['url'].widget.set(r"", run=False)
    GetMainURL_36.inputPortByName['url'].unbindWidget()
    apply(GetMainURL_36.configure, (), {'paramPanelImmediate': 1})

    ## saving connections for network VinaWS ##
    VinaWS_31.macroNetwork.freeze()
    input_Ports_32 = VinaWS_31.macroNetwork.ipNode
    if input_Ports_32 is not None and AutodockVina_Screening_kryptonite_nbcr_net_34 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                input_Ports_32, AutodockVina_Screening_kryptonite_nbcr_net_34, "new", "receptor", blocking=True
                , splitratio=[0.43880138083133274, 0.31144765819641079])
        except:
            print "WARNING: failed to restore connection between input_Ports_32 and AutodockVina_Screening_kryptonite_nbcr_net_34 in network VinaWS_31.macroNetwork"
    if input_Ports_32 is not None and AutodockVina_Screening_kryptonite_nbcr_net_34 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                input_Ports_32, AutodockVina_Screening_kryptonite_nbcr_net_34, "new", "ligand_db", blocking=True
                , splitratio=[0.56271354285043251, 0.34363861168667442])
        except:
            print "WARNING: failed to restore connection between input_Ports_32 and AutodockVina_Screening_kryptonite_nbcr_net_34 in network VinaWS_31.macroNetwork"
    if input_Ports_32 is not None and AutodockVina_Screening_kryptonite_nbcr_net_34 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                input_Ports_32, AutodockVina_Screening_kryptonite_nbcr_net_34, "new", "config", blocking=True
                , splitratio=[0.22255517314489101, 0.70952987839302506])
        except:
            print "WARNING: failed to restore connection between input_Ports_32 and AutodockVina_Screening_kryptonite_nbcr_net_34 in network VinaWS_31.macroNetwork"
    if AutodockVina_Screening_kryptonite_nbcr_net_34 is not None and Index_35 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                AutodockVina_Screening_kryptonite_nbcr_net_34, Index_35, "result", "data", blocking=True
                , splitratio=[0.65853924260720431, 0.32334803581677973])
        except:
            print "WARNING: failed to restore connection between AutodockVina_Screening_kryptonite_nbcr_net_34 and Index_35 in network VinaWS_31.macroNetwork"
    if Index_35 is not None and GetMainURL_36 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                Index_35, GetMainURL_36, "data", "url", blocking=True
                , splitratio=[0.35671342394821631, 0.67027822210423116])
        except:
            print "WARNING: failed to restore connection between Index_35 and GetMainURL_36 in network VinaWS_31.macroNetwork"
    output_Ports_33 = VinaWS_31.macroNetwork.opNode
    if GetMainURL_36 is not None and output_Ports_33 is not None:
        try:
            VinaWS_31.macroNetwork.connectNodes(
                GetMainURL_36, output_Ports_33, "newurl", "new", blocking=True
                , splitratio=[0.2068938333300456, 0.55021414848117456])
        except:
            print "WARNING: failed to restore connection between GetMainURL_36 and output_Ports_33 in network VinaWS_31.macroNetwork"
    VinaWS_31.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_32.outputPorts[1].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_receptor')
    input_Ports_32.outputPorts[2].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_ligand_db')
    input_Ports_32.outputPorts[3].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_config')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_33.inputPorts[1].configure(singleConnection='auto')
    output_Ports_33.inputPorts[1].configure(name='GetMainURL_newurl')
    VinaWS_31.inputPorts[0].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_receptor')
    VinaWS_31.inputPorts[0].configure(datatype='string')
    VinaWS_31.inputPorts[1].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_ligand_db')
    VinaWS_31.inputPorts[1].configure(datatype='string')
    VinaWS_31.inputPorts[2].configure(name='AutodockVina_Screening_kryptonite_nbcr_net_config')
    VinaWS_31.inputPorts[2].configure(datatype='string')
    ## configure MacroNode input ports
    VinaWS_31.outputPorts[0].configure(name='GetMainURL_newurl')
    VinaWS_31.outputPorts[0].configure(datatype='string')
    ## configure MacroNode output ports
    VinaWS_31.shrink()
    apply(VinaWS_31.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
except:
    print "WARNING: failed to restore MacroNode named VinaWS in network masterNet"
    print_exc()
    VinaWS_31=None

try:
    ## saving node SaveReceptor ##
    from NetworkEditor.macros import MacroNode
    SaveReceptor_37 = MacroNode(name='SaveReceptor')
    masterNet.addNode(SaveReceptor_37, 45, 172)
    from WebServices.VisionInterface.WSNodes import DownloadNode
    Download_40 = DownloadNode(constrkw={}, name='Download', library=wslib)
    SaveReceptor_37.macroNetwork.addNode(Download_40,175,103)
    apply(Download_40.inputPortByName['url'].configure, (), {'defaultValue': None})
    Download_40.inputPortByName['url'].rebindWidget()
    Download_40.inputPortByName['url'].widget.set(r"", run=False)
    Download_40.inputPortByName['url'].unbindWidget()
    apply(Download_40.configure, (), {'paramPanelImmediate': 1})
    from Vision.StandardNodes import SaveLines
    Save_Lines_41 = SaveLines(constrkw={}, name='Save Lines', library=stdlib)
    SaveReceptor_37.macroNetwork.addNode(Save_Lines_41,229,201)
    apply(Save_Lines_41.inputPortByName['filename'].configure, (), {'defaultValue': None})
    Save_Lines_41.inputPortByName['filename'].rebindWidget()
    Save_Lines_41.inputPortByName['filename'].widget.set(r"", run=False)
    Save_Lines_41.inputPortByName['filename'].unbindWidget()
    apply(Save_Lines_41.configure, (), {'paramPanelImmediate': 1})
    from Vision.StandardNodes import Eval
    eval_42 = Eval(constrkw={}, name='eval', library=stdlib)
    SaveReceptor_37.macroNetwork.addNode(eval_42,285,90)
    eval_42.inputPortByName['command'].widget.set(r"os.path.basename(in1)", run=False)
    eval_42.inputPortByName['importString'].widget.set(r"", run=False)
    apply(eval_42.configure, (), {'paramPanelImmediate': 1})

    ## saving connections for network SaveReceptor ##
    SaveReceptor_37.macroNetwork.freeze()
    input_Ports_38 = SaveReceptor_37.macroNetwork.ipNode
    if input_Ports_38 is not None and Download_40 is not None:
        try:
            SaveReceptor_37.macroNetwork.connectNodes(
                input_Ports_38, Download_40, "new", "url", blocking=True
                , splitratio=[0.40030014258434843, 0.25611373514560515])
        except:
            print "WARNING: failed to restore connection between input_Ports_38 and Download_40 in network SaveReceptor_37.macroNetwork"
    if Download_40 is not None and Save_Lines_41 is not None:
        try:
            SaveReceptor_37.macroNetwork.connectNodes(
                Download_40, Save_Lines_41, "output", "data", blocking=True
                , splitratio=[0.26895988385126746, 0.38242710177209477])
        except:
            print "WARNING: failed to restore connection between Download_40 and Save_Lines_41 in network SaveReceptor_37.macroNetwork"
    output_Ports_39 = SaveReceptor_37.macroNetwork.opNode
    if Save_Lines_41 is not None and output_Ports_39 is not None:
        try:
            SaveReceptor_37.macroNetwork.connectNodes(
                Save_Lines_41, output_Ports_39, "filename", "new", blocking=True
                , splitratio=[0.40317605084722208, 0.52362040512468422])
        except:
            print "WARNING: failed to restore connection between Save_Lines_41 and output_Ports_39 in network SaveReceptor_37.macroNetwork"
    if input_Ports_38 is not None and eval_42 is not None:
        try:
            SaveReceptor_37.macroNetwork.connectNodes(
                input_Ports_38, eval_42, "Download_url", "in1", blocking=True
                , splitratio=[0.62584678083150569, 0.43747044761891263])
        except:
            print "WARNING: failed to restore connection between input_Ports_38 and eval_42 in network SaveReceptor_37.macroNetwork"
    if eval_42 is not None and Save_Lines_41 is not None:
        try:
            SaveReceptor_37.macroNetwork.connectNodes(
                eval_42, Save_Lines_41, "result", "filename", blocking=True
                , splitratio=[0.72698396305928092, 0.7137368846832528])
        except:
            print "WARNING: failed to restore connection between eval_42 and Save_Lines_41 in network SaveReceptor_37.macroNetwork"
    SaveReceptor_37.macroNetwork.unfreeze()

    ## modifying MacroInputNode dynamic ports
    input_Ports_38.outputPorts[1].configure(name='Download_url')

    ## modifying MacroOutputNode dynamic ports
    output_Ports_39.inputPorts[1].configure(singleConnection='auto')
    output_Ports_39.inputPorts[1].configure(name='Save_Lines_filename')
    SaveReceptor_37.inputPorts[0].configure(name='Download_url')
    SaveReceptor_37.inputPorts[0].configure(datatype='string')
    ## configure MacroNode input ports
    SaveReceptor_37.outputPorts[0].configure(name='Save_Lines_filename')
    SaveReceptor_37.outputPorts[0].configure(datatype='string')
    ## configure MacroNode output ports
    SaveReceptor_37.shrink()
    apply(SaveReceptor_37.configure, (), {'paramPanelImmediate': 1, 'expanded': False})
except:
    print "WARNING: failed to restore MacroNode named SaveReceptor in network masterNet"
    print_exc()
    SaveReceptor_37=None

try:
    ## saving node Library_Name ##
    from Vision.StandardNodes import EntryNE
    Library_Name_43 = EntryNE(constrkw={}, name='Library_Name', library=stdlib)
    masterNet.addNode(Library_Name_43,269,18)
    Library_Name_43.inputPortByName['entry'].widget.set(r"sample", run=False)
    apply(Library_Name_43.configure, (), {'paramPanelImmediate': 1})
except:
    print "WARNING: failed to restore EntryNE named Library_Name in network masterNet"
    print_exc()
    Library_Name_43=None

try:
    ## saving node Vina_Config_File ##
    from Vision.StandardNodes import FileBrowserNE
    Vina_Config_File_44 = FileBrowserNE(constrkw={}, name='Vina_Config_File', library=stdlib)
    masterNet.addNode(Vina_Config_File_44,393,19)
    Vina_Config_File_44.inputPortByName['filename'].widget.set(r"test.config", run=False)
    apply(Vina_Config_File_44.configure, (), {'paramPanelImmediate': 1})
except:
    print "WARNING: failed to restore FileBrowserNE named Vina_Config_File in network masterNet"
    print_exc()
    Vina_Config_File_44=None

try:
    ## saving node WebBrowser ##
    from WebServices.VisionInterface.WSNodes import WebBrowserNode
    WebBrowser_45 = WebBrowserNode(constrkw={}, name='WebBrowser', library=wslib)
    masterNet.addNode(WebBrowser_45,252,299)
    apply(WebBrowser_45.inputPortByName['url'].configure, (), {'defaultValue': None})
    WebBrowser_45.inputPortByName['url'].rebindWidget()
    WebBrowser_45.inputPortByName['url'].widget.set(r"", run=False)
    WebBrowser_45.inputPortByName['url'].unbindWidget()
    apply(WebBrowser_45.configure, (), {'paramPanelImmediate': 1})
except:
    print "WARNING: failed to restore WebBrowserNode named WebBrowser in network masterNet"
    print_exc()
    WebBrowser_45=None

#masterNet.run()
masterNet.freeze()

## saving connections for network vina6 ##
if PDB_Input_30 is not None and PrepareReceptor_0 is not None:
    try:
        masterNet.connectNodes(
            PDB_Input_30, PrepareReceptor_0, "filename", "pdb_file", blocking=True
            , splitratio=[0.72960494395864628, 0.35736372711614683])
    except:
        print "WARNING: failed to restore connection between PDB_Input_30 and PrepareReceptor_0 in network masterNet"
SaveReceptor_37 = masterNet.nodes[3]
if PrepareReceptor_0 is not None and SaveReceptor_37 is not None:
    try:
        masterNet.connectNodes(
            PrepareReceptor_0, SaveReceptor_37, "pdbqt_file", "Download_url", blocking=True
            , splitratio=[0.71003466591034847, 0.54765590592651991])
    except:
        print "WARNING: failed to restore connection between PrepareReceptor_0 and SaveReceptor_37 in network masterNet"
VinaWS_31 = masterNet.nodes[2]
if Library_Name_43 is not None and VinaWS_31 is not None:
    try:
        masterNet.connectNodes(
            Library_Name_43, VinaWS_31, "string", "AutodockVina_Screening_kryptonite_nbcr_net_ligand_db", blocking=True
            , splitratio=[0.37822742548167565, 0.66425434051395804])
    except:
        print "WARNING: failed to restore connection between Library_Name_43 and VinaWS_31 in network masterNet"
if Vina_Config_File_44 is not None and VinaWS_31 is not None:
    try:
        masterNet.connectNodes(
            Vina_Config_File_44, VinaWS_31, "filename", "AutodockVina_Screening_kryptonite_nbcr_net_config", blocking=True
            , splitratio=[0.37756789203706986, 0.2521244555112061])
    except:
        print "WARNING: failed to restore connection between Vina_Config_File_44 and VinaWS_31 in network masterNet"
if VinaWS_31 is not None and WebBrowser_45 is not None:
    try:
        masterNet.connectNodes(
            VinaWS_31, WebBrowser_45, "GetMainURL_newurl", "url", blocking=True
            , splitratio=[0.40357798432493663, 0.43582175320939109])
    except:
        print "WARNING: failed to restore connection between VinaWS_31 and WebBrowser_45 in network masterNet"
if SaveReceptor_37 is not None and VinaWS_31 is not None:
    try:
        masterNet.connectNodes(
            SaveReceptor_37, VinaWS_31, "Save_Lines_filename", "AutodockVina_Screening_kryptonite_nbcr_net_receptor", blocking=True
            , splitratio=[0.57098243783737468, 0.37548602697819977])
    except:
        print "WARNING: failed to restore connection between SaveReceptor_37 and VinaWS_31 in network masterNet"
masterNet.runOnNewData.value = False

if __name__=='__main__':
    from sys import argv
    lNodePortValues = []
    if (len(argv) > 1) and argv[1].startswith('-'):
        lArgIndex = 2
    else:
        lArgIndex = 1
    while lArgIndex < len(argv) and argv[lArgIndex][-3:]!='.py':
        lNodePortValues.append(argv[lArgIndex])
        lArgIndex += 1
    masterNet.setNodePortValues(lNodePortValues)
    if '--help' in argv or '-h' in argv: # show help
        masterNet.helpForNetworkAsApplication()
    elif '-w' in argv: # run without Vision and exit
         # create communicator
        from NetworkEditor.net import Communicator
        masterNet.communicator = Communicator(masterNet)
        print 'Communicator listening on port:', masterNet.communicator.port

        import socket
        f = open(argv[0]+'.sock', 'w')
        f.write("%s %i"%(socket.gethostbyname(socket.gethostname()),
                         masterNet.communicator.port))
        f.close()

        # create communication socket
        import socket
        HOST = ''                 # Symbolic name meaning the local host
        PORT = 50010              # Arbitrary non-privileged port
        s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        s.bind((HOST, PORT))
        s.listen(5)
        s.setblocking(0)
        masterNet.socket = s
        masterNet.socketConnections = []
        masterNet.HOST = HOST
        masterNet.PORT = PORT

        masterNet.run()

    else: # stand alone application while vision is hidden
        if '-e' in argv: # run and exit
            masterNet.run()
        elif '-r' in argv or len(masterNet.userPanels) == 0: # no user panel => run
            masterNet.run()
            mainLoopVisionToRunNetworkAsApplication(masterNet.editor)
        else: # user panel
            mainLoopVisionToRunNetworkAsApplication(masterNet.editor)

